View Issue Details

IDProjectCategoryView StatusLast Update
0023336mantisbthtmlpublic2018-08-17 03:38
Reporterj_schultzAssigned Toatrol 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version2.6.0 
Target Version2.17.0Fixed in Version2.17.0 
Summary0023336: Inline image attachments should have their own container to prevent scrolling
Description

If a large image is displayed as an inline attachment, it may cause the browser to add a horizontal scrollbar to the entire comments section.
You can for example observe this in bug 0022323. A single image causes all comments to be displayed with a line length that is wider than the browser viewport.,The scrollbar is found at the very end of the comments section, largely decreasing the usability of the comments section in this case.

Putting overflow:auto or overflow:scroll on the <div> that contains the inline attachments should hopefully fix this issue.

TagsNo tags attached.

Relationships

has duplicate 0022255 resolvedatrol Previewing images in bug notes result in table resizing 

Activities

dregad

dregad

2017-09-09 18:51

developer   ~0057647

I confirm the behavior and agree this should be fixed.

jeromedl

jeromedl

2018-06-07 08:04

reporter   ~0060042

We patched this issue with adding this css rule:

.bug-attachment-preview-image img {
max-width: 100%;
}

j_schultz

j_schultz

2018-06-07 17:11

reporter   ~0060044

A surprisingly simple solution compared to what I have tried before, and it seems to work beautifully!

jeromedl

jeromedl

2018-06-08 04:08

reporter   ~0060047

Thanks @j_schultz !
Indeed, keeping the image fully displayed with respect to the proportions, I believe it's a better solution than adding an horizontal scrollbar.

atrol

atrol

2018-07-28 18:03

developer   ~0060330

PR https://github.com/mantisbt/mantisbt/pull/1375
I added also a handling for preview of text attachments with long lines.

Related Changesets

MantisBT: master 5779ad24

2018-07-28 17:57:32

atrol

Details Diff
Prevent scrollbar when displaying wide attachments

Fixes 0023336
Affected Issues
0023336
mod - css/default.css Diff File

Issue History

Date Modified Username Field Change
2017-09-09 07:44 j_schultz New Issue
2017-09-09 18:51 dregad Status new => confirmed
2017-09-09 18:51 dregad Target Version => 2.7.0
2017-09-09 18:51 dregad Note Added: 0057647
2017-10-08 23:55 vboctor Target Version 2.7.0 => 2.8.0
2017-10-28 19:14 vboctor Target Version 2.8.0 => 2.9.0
2017-12-04 02:25 vboctor Target Version 2.9.0 => 2.10.0
2017-12-30 18:39 vboctor Target Version 2.10.0 => 2.11.0
2018-02-06 21:22 vboctor Target Version 2.11.0 => 2.12.0
2018-03-04 00:41 vboctor Target Version 2.12.0 => 2.13.0
2018-03-31 20:06 vboctor Target Version 2.13.0 => 2.14.0
2018-04-29 19:27 vboctor Target Version 2.14.0 => 2.15.0
2018-06-06 00:43 vboctor Target Version 2.15.0 => 2.16.0
2018-06-07 08:04 jeromedl Note Added: 0060042
2018-06-07 17:11 j_schultz Note Added: 0060044
2018-06-08 04:08 jeromedl Note Added: 0060047
2018-07-28 18:03 atrol Note Added: 0060330
2018-07-28 18:03 atrol Assigned To => atrol
2018-07-28 18:03 atrol Status confirmed => assigned
2018-07-30 05:32 atrol Target Version 2.16.0 => 2.17.0
2018-07-31 06:09 atrol Changeset attached => MantisBT master 5779ad24
2018-07-31 06:09 atrol Status assigned => resolved
2018-07-31 06:09 atrol Resolution open => fixed
2018-07-31 06:09 atrol Fixed in Version => 2.17.0
2018-08-17 03:38 atrol Relationship added has duplicate 0022255